BSplineCurves2d

 

 

objSpln1;

Hello,

 

the following code in VB6 works:

      Dim PointData() As Double

            Dim objBSplns   As SolidEdgeFrameworkSupport.BSplineCurves2d

            Dim objBSpln1   As SolidEdgeFrameworkSupport.BSplineCurve2d

 

             Set objBSplns = .ProfileSets.Add.Profiles.Add _

                        (pRefPlaneDisp:=.RefPlanes(1)).BSplineCurves2d

 

               Set objBSpln1 = objBSplns.AddByPoints _

                    (Order:=4, ArraySize:=frmKurve.flgKurve.rows - 1, _

                     Array:=PointData())

 

the code written in C# does not work

SolidEdgeFrameworkSupport.BSplineCurves2d objSplns;

SolidEdgeFrameworkSupport.BSplineCurve2d objSpln1;

SolidEdgePart.Sketch sketch = oPart.Sketches.Add();

SolidEdgePart.ProfileSet profileset;

profileset = oPart.ProfileSets.Add();

objSplns = (SolidEdgeFrameworkSupport.BSplineCurves2d)profileset.Profiles.Add

          (((SolidEdgePart.Profile)sketch).BSplineCurves2d);

 

 

objSpln1 = objSplns.AddByPoints(4, Program.Kurvenscheibe.dataGridKurve.Rows.Count, ref PointData);

 

the first command does not work. I need to add BSplineCurves2d, therefor I need to convert sketch to profile. Does anyone know how that works or have another solution?

Thank you!

 

Posted by: Christoph Maier
Post date: 5/16/2008 3:46:58 AM

1 REPLY

RE: BSplineCurves2d

Sorry, that post was bad:

 

the first command written in c# has to be

objSplns = (SolidEdgeFrameworkSupport.BSplineCurves2d)profileset.Profiles.Add

(((SolidEdgePart.Profile)(oPart.RefPlanes.Item(1))).BSplineCurves2d );

I dont know how to Convert RefPlanes to Profile

 

Posted by: Christoph Maier
Post date: 5/16/2008 3:59:47 AM